function FieldPattern = OmniFieldPattern(Vant, Vscatter,polarization_direction,polarization_setting,RotMatrix)
FieldPattern=zeros(2,1);
if polarization_setting==1
    dV=RotMatrix*(Vscatter-Vant);       % in LCS
    [az,el,r]=cart2sph(dV(1),dV(2),dV(3));
    if mod(polarization_direction,2)==1
        
        FieldPattern(1)=1*cos(az);
        FieldPattern(2)=1*sin(az);
    else
        FieldPattern(1)=1*sin(az);
        FieldPattern(2)=1*cos(az);
    end
    
else
    FieldPattern(1)=1;
    FieldPattern(2)=1;
end
